LORDER(1)

NAME
lorder - find an ordering relation for an object library

SYNOPSIS
lorder filename...

DESCRIPTION

Give lorder one or more object or library archive (see ar(1V)) filenames, and it lists pairs of object file names — meaning that the first file of the pair refers to external identifiers defined in the second — to the standard output. lorder's output may be processed by tsort(1) to find an ordering of a library suitable for one-pass access by ld(1).

EXAMPLE

This brash one-liner intends to build a new library from existing .o files.

    ar cr library `lorder *.o | tsort`

The ranlib(1), command converts an ordered archive into a randomly accessed library and makes lorder unnecessary.

SEE ALSO
ar(1V), ld(1), ranlib(1), tsort(1)

BUGS
The names of object files, in and out of libraries, must end with `.o'; otherwise, nonsense results.